Problema con las capas en IExplore  

 
Fernando
 Fernando
Usuario activo

Hola,

quiero presentar dos categorías diferentes en el frontpage, en dos filas, una para cada categoria y dos artículos en dos columnas en cada categoria. Utilizo el módulo News Show SP2 , he probado otros más, pero en todos obtengo el mismo resultado. Con Iexplorelos articulos no se muestran en 2 columnas, es omo si el float:left no lo tuviera en cuenta.
Adjunto dos imágenes de como se ve la web en función de cada navegador. Me valdría cualquier otra opción que me permita tenr una vista como la de firefox, ya sea un componente, módulo, etc...

La versión de joomla es 2.5.

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 24/03/2014 12:45 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Revisando el código fuente de tu página de inicio veo que la estructura en 2 columnas se monta con una tabla y no con etiquetas div con float:left tal como comentas.

Esto no debería de provocar problemas con el Internet Explorer, aunque también dependería de la versión de IE que estés probando en concreto. Ten en cuenta que la mayoría de las plantillas no son compatibles con versiones antiguas de IE.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 24/03/2014 4:24 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Fernando
 Fernando
Usuario activo

Hola,

el sitio web que estoy desarrollando no es el que has podido ver ya que estoy desarrollando en local, y ya he descubierto que por aquí viene el origen de todos mis males. Lo comparto por si alguien le pasa lo mismo.
Se trata de la "Vista de compativilidad" de iexplore, aunque no la tengo habilitada, sí que está habilitada por defecto para sitios en intranet, que es mi caso ya que trabajo con un servidor local. Supongo que lo hacen porque así los programadores pueden tener en cuenta fallos con veriones anteriores a ie8, cosa que me parece absurda puesto que XP dejará de tener soporte y por tanto también su navegador en ie8.
Lo que hay que hacer es ir a configuración de Vista de compatibilidad y quitar el check en "Mostrar sitios de la intranet en compativilidad".

Un saludo.

ResponderCitar
Respondido : 26/03/2014 12:23 pm

Por favor Iniciar Sesión o Registro